Package org.apache.synapse.transport.nhttp.config

## Class ClientConnFactoryBuilder

- java.lang.Object
- - org.apache.synapse.transport.nhttp.config.ClientConnFactoryBuilder

-     public class ClientConnFactoryBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientConnFactoryBuilder​(org.apache.axis2.description.TransportOutDescription transportOut)` |
    `ClientConnFactoryBuilder​(org.apache.axis2.description.TransportOutDescription transportOut, org.apache.axis2.context.ConfigurationContext configurationContext)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ClientConnFactory` | `createConnFactory​(org.apache.http.params.HttpParams params)` |
    `Map<RequestDescriptor,​SSLContext>` | `getSslByHostMap()` |
    `SSLContextDetails` | `getSSLContextDetails()` |
    `org.apache.axis2.description.TransportOutDescription` | `loadDynamicSSLConfig​(org.apache.axis2.description.TransportOutDescription transportOut)` | Extracts Dynamic SSL profiles configuration from given TransportOut Configuration
    `ClientConnFactoryBuilder` | `parseSSL()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientConnFactoryBuilder

          public ClientConnFactoryBuilder​(org.apache.axis2.description.TransportOutDescription transportOut,
                                          org.apache.axis2.context.ConfigurationContext configurationContext)

    - #### ClientConnFactoryBuilder

          public ClientConnFactoryBuilder​(org.apache.axis2.description.TransportOutDescription transportOut)

  - ### Method Detail

    - #### parseSSL

          public ClientConnFactoryBuilder parseSSL()
                                            throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### createConnFactory

          public ClientConnFactory createConnFactory​(org.apache.http.params.HttpParams params)

    - #### loadDynamicSSLConfig

          public org.apache.axis2.description.TransportOutDescription loadDynamicSSLConfig​(org.apache.axis2.description.TransportOutDescription transportOut)

      Extracts Dynamic SSL profiles configuration from given TransportOut Configuration
      Parameters:
        `transportOut` - TransportOut Configuration of the connection
      Returns:
        TransportOut configuration with extracted Dynamic SSL profiles information

    - #### getSslByHostMap

          public Map<RequestDescriptor,​SSLContext> getSslByHostMap()

    - #### getSSLContextDetails

          public SSLContextDetails getSSLContextDetails()